using System;

public interface ITypeDrawer
{
    ///<summary>判断类型</summary>
    bool HandlesType(Type type, object value);

    ///<summary>绘制窗口</summary>
    object DrawAndGetNewValue(Type memberType, string memberName, object value, object target);

    ///<summary>销毁自生数据</summary>
    void Destroy();
}